Documentation Index

Fetch the complete documentation index at: https://support.keypro.fi/llms.txt

Use this file to discover all available pages before exploring further.

2025-11-06 14.00 UTC - There are currently no active events. All systems operational.

Update Water Fireplug data partially

Prev Next
Patch
/water-fireplug/{id}/

Operation is used to update specific fields in existing Water Fireplug data.

Security
API Key: Token
Header parameter nameAuthorization

Token issued for API consumer.

Path parameters
id
integerRequired

Id of Water Fireplug to update

Body parameters

Water Fireplug attributes and values to be updated

object
address
string

Address

duct_size
string

Duct size

fp_class
integer Required

Plug class id

manufacturer
integer

Manufacturer id

node
integer Required

node id

type
integer

Plug type id

Responses
200

Object was updated successfully

object
address
string

Address

duct_size
string

Duct size

fp_class
integer

Plug class id

id
integer

Primary key

manufacturer
integer

Manufacturer id

node
integer

node id

type
integer

Plug type id

401

Authentication credentials are missing or invalid

{
  "details": "Authentication credentials were not provided"
}
object

Standard error response payload

details
string

Detailed description of error

404

Object was not found

{
  "details": "Not found."
}
object

Standard error response payload

details
string

Detailed description of error